TQScintilla: TQextScintillaLexerTeX Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# TQextScintillaLexerTeX Class Reference

The TQextScintillaLexerTeX class encapsulates the Scintilla TeX lexer. More...

`#include <tqextscintillalexertex.h>`

Inherits TQextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- Special = 1
- Group = 2
- Symbol = 3
- Command = 4
- Text = 5
- enum {
  Default = 0, Special = 1, Group = 2,
  Symbol = 3, Command = 4, Text = 5
  }

## Public Member Functions

- TQextScintillaLexerTeX (TQObject *parent=0, const char *name=0)
- virtual ~TQextScintillaLexerTeX ()
- const char * language () const
- const char * lexer () const
- const char * wordCharacters () const
- TQColor color (int style) const
- const char * keywords (int set) const
- TQString description (int style) const

## Detailed Description

The TQextScintillaLexerTeX class encapsulates the Scintilla TeX lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the TeX lexer.

Enumerator:

  Default | The default.
  Special | A special.
  Group | A group.
  Symbol | A symbol.
  Command | A command.
  Text | Text.

## Constructor & Destructor Documentation

TQextScintillaLexerTeX::TQextScintillaLexerTeX | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a TQextScintillaLexerTeX with parent parent and name name. parent is typically the TQextScintilla instance.

virtual TQextScintillaLexerTeX::~TQextScintillaLexerTeX | ( |  | ) | `[virtual]`

Destroys the TQextScintillaLexerTeX instance.

## Member Function Documentation

const char* TQextScintillaLexerTeX::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements TQextScintillaLexer.

const char* TQextScintillaLexerTeX::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements TQextScintillaLexer.

TQColor TQextScintillaLexerTeX::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from TQextScintillaLexer.

const char* TQextScintillaLexerTeX::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from TQextScintillaLexer.

TQString TQextScintillaLexerTeX::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Implements TQextScintillaLexer.